View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000992Ecere SDKecerepublic2013-08-29 19:172014-05-19 01:33
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformX11OSOS Version
Product Version0.44.08 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000992: Implement acquired input on X11
DescriptionThis is the Window::AcquireInput() interface

X doesn't provide any kind of support for this, so it means we have to do a combination of:

- Capturing the mouse
- Hiding the mouse cursor
- Continuously repositioning the cursor to the center of the screen while returning deltas from last call

- Potentially resetting the mouse cursor to where it was prior to acquisition?

Also to implement: acquired Keyboard input.
Additional InformationDavid is waiting on this.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000240closedjerome Compiled Program automatically minimizes when fullScreen = true 
related to 0000285closedjerome Resolution on Wide Screen Monitor causes minimization of window 

-  Notes
(0001111)
jerome (administrator)
2013-10-01 16:49

Also take a look at these Mesh/Material issues we were having in the cubes walkaround sample, consider adding sample
(0001145)
jerome (administrator)
2013-12-01 21:10

Implement _NET_WM_STATE_FULLSCREEN WM hints
(0001175)
jerome (administrator)
2014-02-06 23:18

Also look at Mouse wheel vs. Acquired Input.

Add Random Squares sample.
(0001188)
jerome (administrator)
2014-02-19 15:53
edited on: 2014-02-19 15:54

The multiple issues were fixed by:

https://github.com/ecere/ecere-sdk/commit/c5745d1d1ecf7f7f58f4bdb10fbf957ae1fe45cf [^]
https://github.com/ecere/ecere-sdk/commit/209da66ccb7cde919c568a44884d40d73a370c4f [^]
https://github.com/ecere/ecere-sdk/commit/699d15d8ed36c0c3beb4bb0aa0f4b7e98a154756 [^]
https://github.com/ecere/ecere-sdk/commit/adde9868695cab1932036e12b439660d8d935aea [^]
https://github.com/ecere/ecere-sdk/commit/be0f3024e29b5b3ad45b43cae0e89bf4e2ba4fa4 [^]
https://github.com/ecere/ecere-sdk/commit/ef7bee6991011db6461add626818bf23e0f7dce4 [^]


- Issue History
Date Modified Username Field Change
2013-08-29 19:17 jerome New Issue
2013-09-08 18:25 jerome Target Version 0.44.11 Tablet Edition/Docs => 0.44.10 64
2013-09-30 09:09 jerome Status new => assigned
2013-09-30 09:09 jerome Assigned To => jerome
2013-10-01 16:49 jerome Note Added: 0001111
2013-12-01 21:10 jerome Note Added: 0001145
2014-02-06 23:18 jerome Note Added: 0001175
2014-02-13 21:11 jerome Relationship added related to 0000240
2014-02-13 21:11 jerome Relationship added related to 0000285
2014-02-19 15:53 jerome Note Added: 0001188
2014-02-19 15:54 jerome Note Edited: 0001188
2014-02-19 15:54 jerome Status assigned => resolved
2014-02-19 15:54 jerome Fixed in Version => 0.44.10 64
2014-02-19 15:54 jerome Resolution open => fixed
2014-05-19 01:33 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker